#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP 
#endif
varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;

uniform vec4 color1;

uniform float f2;

void main()
{
  vec4 color2 = v_color * texture2D(u_texture, v_texCoords)*color1;
  float f1=(color2.r+color2.g+color2.b)/3.0;
  gl_FragColor=vec4(color2.r*f2,color2.g*f2,color2.b*f2,color2.a);
}